{% extends 'user.html.twig' %}

{% block title %}Liste des Adhérents{% endblock %}

{% block body %}
<section class="container">
	<div class="row justify-content-md-center p-5">
		<h1>Liste des Adhérents</h1>
		<a href="{{ path("admin_user_ajout") }}" class="btn btn-outline-primary float-right d-md-block">+</a>
		<a href="{{ path("admin_user_import") }}" class="btn btn-outline-primary float-right d-md-block"><i class="bi bi-file-person"></i></a>
		<table class="table striped align-middle">
		<thead>
			<tr>
				<th>Nom de l'adhérent</th>
				<th>Prénom</th>
				<th>Mail</th>
				<th>Numéro d'adhérent</th>
				<th>Rôle</th>
				<th class="text-center">Actions</th>
			</tr>
		</thead>
		<tbody>
			{% for user in users %}
				<tr>
					<td>{{user.nom}}</td>
					<td>{{user.prenom}}</td>
					<td>{{user.email}}</td>
					<td>{{user.numAdh}}</td>
					<td>{% for role in user.roles %}
						{% if role == 'ROLE_ADMIN' %}
							Administrateur</br>
						{% elseif role =='ROLE_DELEGUE' %}
							Délégué</br>
						{% elseif role =='ROLE_FORMATEUR' %}
							Formateur</br>
						{% else %}
							Adhérent</br>
						{% endif %}
					{% endfor %}
					</td>
					<td class="text-center">
						<a href="{{ path("admin_user_show", {id: user.id}) }}" class="btn blue"><i class="bi bi-eye"></i></a>
						<a href="{{ path("admin_user_edit", {id: user.id}) }}" class="btn blue"><i class="bi bi-pencil-square"></i></a>
						<a href="{{ path("admin_user_suspendre", {id: user.id}) }}" class="btn blue"><i class="bi bi-shield-lock"></i></a>
						<a href="{{ path("admin_user_supprimer", {id: user.id}) }}" class="btn primary press modal-trigger" ><i class="bi bi-trash"></i></a>
					</td>
				</tr>
			{% endfor %}
			</tbody>
		</table>
	</div>
</section>

{% endblock %}